from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils as cmfutils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

registerDirectory('skins', globals())

import Student
import Widgets

fti = ()
fti += Student.factory_type_information 

contentClasses = (Student.Student,)

contentConstructors = ()
contentConstructors += Student.addStudent,


def initialize(registrar):
    cmfutils.ContentInit(
        'WAeUP Types',
        content_types=contentClasses,
        permission=AddPortalContent,
        extra_constructors=contentConstructors,
        fti=fti,
        
    ).initialize(registrar)
